Subject: bug#67535: Does anyone use i686-linux? [was Re: bug#67535: ci.guix.gnu.org 'Cannot allocate memory' while building for i686-linux]

From: Leo Famulari <[email-masked]>
Date: Tue, 30 Jul 2024 10:39:36 -0400

I basically agree with you :)

On Mon, Jul 29, 2024 at 09:21:57PM -0400, Richard Sent wrote:
> Breaking changes are okay, and if we consider this too niche of a use
> case or too high of a maintenance burden it should be dropped. I do
> believe it should progress into the consideration stage instead of being
> discarded outright.

It's not really a maintenance burden, at least for me as a person that
helps with the kernel packages. They get updated automatically as part
of our work updating the kernels for more popular systems.

But after years of watching the i686 kernel packages fail to build, I'm
wondering if the project should be attempting these builds.